package ru.dbotthepony.mc.otm.registry

import net.minecraft.core.registries.BuiltInRegistries
import net.minecraft.world.level.levelgen.feature.Feature
import net.neoforged.bus.api.IEventBus
import ru.dbotthepony.mc.otm.worldgen.feature.BlackHolePlacerConfiguration
import ru.dbotthepony.mc.otm.worldgen.feature.BlackHolePlacerFeature

object MWorldGenFeatures {
	private val registry = MDeferredRegister(BuiltInRegistries.FEATURE)

	fun register(bus: IEventBus) {
		registry.register(bus)
	}

	val BLACK_HOLE_PLACER: Feature<BlackHolePlacerConfiguration> by registry.register("black_hole_placer") {
		BlackHolePlacerFeature(BlackHolePlacerConfiguration.CODEC)
	}
}
